Bug 62773 - Adding more than one device to a resource doesn't ask for windows sharing
Adding more than one device to a resource doesn't ask for windows sharing
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: clumanager (Show other bugs)
pensacola
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Burke
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-05 08:29 EST by Marco Lusini
Modified: 2016-10-10 09:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-05 09:31:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 64296 ovirt-4.0 MERGED gluster: set selinux labels while creating bricks 2016-10-10 09:43 EDT

  None (edit)
Description Marco Lusini 2002-04-05 08:29:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
When I try to add a second device to a resource, it doesn't ask if the file 
system is to be shared to Windows.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start cluadmin
2. service add
3. create a test service and accepts all default up to the disk device section
4. create a first device, no NFS, no Samba
5. add a second device	

Actual Results:  After asking if the second device should be exported with NFS, 
the section on device configuration ends.

Expected Results:  Should ask if the device should be exported to Windows 
clients.

Additional info:

Here follows the output of the procedure:
----------------------------------------
Service name: test
Preferred member [None]:
User script (e.g., /usr/foo/script or None) [None]:
Status check interval [0]:
Do you want to add an IP address to the service (yes/no/?) [no]:
Do you want to add a disk device to the service (yes/no/?) [no]: yes

Disk Device Information

Device special file (e.g., /dev/sdb4): /dev/sdc5
Filesystem type (e.g., ext2, ext3 or None): ext3
Mount point (e.g., /usr/mnt/service1) [None]: /test/disc1
Mount options (e.g., rw,nosuid,sync):
Forced unmount support (yes/no/?) [yes]:
Would you like to allow NFS access to this filesystem (yes/no/?)  [no]:
Would you like to share to Windows clients (yes/no/?)  [no]:
Do you want to (a)dd, (m)odify, (d)elete or (s)how DEVICES, or are you (f)
inished adding DEVICES [f]: a
Device special file (e.g., /dev/sdb4): /dev/sdc6
Filesystem type (e.g., ext2, ext3 or None): ext3
Mount point (e.g., /usr/mnt/service1) [None]: /test/disc2
Mount options (e.g., rw,nosuid,sync):
Forced unmount support (yes/no/?) [yes]:
Would you like to allow NFS access to this filesystem (yes/no/?)  [no]:
Do you want to (a)dd, (m)odify, (d)elete or (s)how DEVICES, or are you (f)
inished adding DEVICES [f]:
Comment 1 Tim Burke 2002-04-09 09:55:33 EDT
The high-availability Samaba implementation in Cluster Manager accommodates a
single per-service samba configuration file.  The cluadmin prompt for this file
appears when the first device is configured into the service.  As a result, it
is possible to samba share multiple devices.  The way to do this is to manually
modify the smb.conf.sharename file to describe the specific devices within the
service you wish to modify.  Refer to the "Setting up a Highly Available Samba
Service" section within the "Red Hat Cluster Manager Installation and
Administration Guide" for additional details.

The above approach will work even if you do not wish to samba share the first
device in a service.  In that case, you don't explicitly mention any filesystems
for that first device.

Note You need to log in before you can comment on or make changes to this bug.